Bug 120017 - xmodmap keymappings flaky, don't show up in xev
xmodmap keymappings flaky, don't show up in xev
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 04:22 EDT by Dan Scholnik
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 14:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Scholnik 2004-04-05 04:22:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I have always used a ~/.Xmodmap file to map the windoze keys and/or
the right ALT key to F13-F16, so that sawfish can use them for
keybindings.   For example, "keycode 113 = F13".  Post upgrade, I'm
getting the notice that .Xmodmap is being ignored, so i run it by
hand.  No errors, but now the key(s) don't register in xev at all, nor
do they raise/lower windows (my usual binding).  If I then go into the
sawfish kebindings configurator I can sometimes reselect the same
bindings and then magically the keys start to work (but still don't
show up in xev).  This problem exists on both a laptop and a desktop.

About the helpful .Xmodmap warning upon starting I'm confused; it says
I can use the "keyboard" configurator instead but despite the varied
list options none do what I want.  Why stop using the .Xmodmap file?

Version-Release number of selected component (if applicable):
0.0.6.6-0.0.2004_03_11.9, 0.0.6.6-0.0.2004_03_30.1

How reproducible:
Always

Steps to Reproduce:
1. map right ALT to F13 in ~/.Xmodmap
2. bind F13 to "raise window" in sawfish
3. startx
4. xmodmap ~/.Xmodmap
5. xev or try to raise a window
6. re-bind F13 to "raise window" in sawfish
7. now try to raise window
    

Actual Results:  right ALT key doesn't raise windows until after final
step.
xev never shows the right ALT key as F13

Expected Results:  right ALT key should be F13 immediately after
xmodmap call.
xev should show the right ALT key as F13 after xmodmap

Additional info:
Comment 1 Mike A. Harris 2004-10-12 14:19:31 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.